---
search:
  tags:
    - applications
    - GET
seo:
  description: >-
    Returns an application. Reference for the GET
    /project/{project_id}/environment/{environment_id}/application/{application_id}
    endpoint in the Platform API.
sidebar:
  label: Get an application
  badge: GET
title: Get an application
type: openapi-operation
---
Returns an application.

`GET /project/{project_id}/environment/{environment_id}/application/{application_id}`

**Responses**

- `200` — Application retrieved successfully
- `default` — Error

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
  "cluster_id": "d3d1bfdf-67c4-41fa-b065-858242731616",
  "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",
  "name": "string",
  "description": "string",
  "last_run_id": "08df5d92-87b1-40a2-b1e7-a5977dea4efc",
  "last_run_status": "QUEUED",
  "configuration": {
    "cpu_limit_in_milli": "2000m",
    "ram_limit_in_mib": "2048Mi",
    "cpu_request_in_milli": "1000m",
    "ram_request_in_mib": "1024Mi",
    "gpu_limit": 0,
    "min_running_instances": 1,
    "max_running_instances": 1,
    "source": {
      "type": "container",
      "image_name": "string",
      "tag": "string"
    },
    "healthchecks": {
      "readiness_probe": {
        "type": {
          "tcp": {
            "port": 0,
            "host": null
          },
          "http": {
            "path": "/",
            "scheme": "HTTP",
            "port": 0
          },
          "exec": {
            "command": [
              "string"
            ]
          },
          "grpc": {
            "service": null,
            "port": 0
          }
        },
        "initial_delay_seconds": 30,
        "period_seconds": 10,
        "timeout_seconds": 5,
        "success_threshold": 1,
        "failure_threshold": 9
      },
      "liveness_probe": {
        "type": {
          "tcp": {
            "port": 0,
            "host": null
          },
          "http": {
            "path": "/",
            "scheme": "HTTP",
            "port": 0
          },
          "exec": {
            "command": [
              "string"
            ]
          },
          "grpc": {
            "service": null,
            "port": 0
          }
        },
        "initial_delay_seconds": 30,
        "period_seconds": 10,
        "timeout_seconds": 5,
        "success_threshold": 1,
        "failure_threshold": 9
      }
    },
    "ports": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "is_default": true,
        "internal_port": 1,
        "external_port": 1,
        "protocol": "HTTP"
      }
    ],
    "storages": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "mount_path": "string",
        "size_in_gib": 1,
        "storage_type": "string"
      }
    ],
    "entrypoint": "string",
    "arguments": [
      "string"
    ]
  }
}
```
